Bug 218453 - [PATCH] devel/gobject-introspection tests fail
Summary: [PATCH] devel/gobject-introspection tests fail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://bugzilla.gnome.org/show_bug.c...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-07 05:33 UTC by rozhuk.im
Modified: 2017-10-08 16:48 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
log (94.99 KB, text/plain)
2017-04-07 05:33 UTC, rozhuk.im
no flags Details
add _Nonnull and _Nullable support (531 bytes, patch)
2017-04-07 05:38 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2017-04-07 05:33:29 UTC
Created attachment 181560 [details]
log

gobject-introspection 1.50.0
fail some test during build.
Also these fails happen on gtk3 and gtk2 build.
And maybe some other ports that require gobject-introspection to build.
Comment 1 rozhuk.im 2017-04-07 05:38:22 UTC
Created attachment 181561 [details]
add _Nonnull and _Nullable support

Add _Nonnull and _Nullable support - this fix errors with stdio.h, signal.h and pthread.h.
I don't know how to fix other errors and warnings.
Comment 2 Kurt Jaeger freebsd_committer 2017-04-17 10:04:50 UTC
This patch should probably be sent upstream ?
Comment 3 Kurt Jaeger freebsd_committer 2017-04-17 10:26:40 UTC
ok, 264 open bugs upstream, sounds like a big task
Comment 4 rozhuk.im 2017-04-17 16:30:04 UTC
Yes, it should.
But for now, this patch fix at least some errors for FreeBSD.
Comment 5 rozhuk.im 2017-08-20 21:27:55 UTC
ping
Comment 6 commit-hook freebsd_committer 2017-10-08 16:42:20 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  8 16:41:21 UTC 2017
New revision: 451551
URL: https://svnweb.freebsd.org/changeset/ports/451551

Log:
  devel/gobject-introspection: fix tests that fail during build

  PR:		218453
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/devel/gobject-introspection/Makefile
  head/devel/gobject-introspection/files/patch-giscanner_scannerlexer.l
  head/devel/gobject-introspection/files/patch-tests_Makefile.in
Comment 7 Kurt Jaeger freebsd_committer 2017-10-08 16:48:55 UTC
Committed, thanks. Commit log missed the LICENSE set.